#!/usr/bin/env node
/*!
 * gitmars v5.1.1-beta.1
 * 这是一个git工作流工具
 * (c) 2021-2023 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
import { program } from 'commander';
import { createArgs } from '@gitmars/core/lib/utils/command';
import run from '@gitmars/core/lib/hook/run';
import lang from '#lib/common/local';
import runConfig from '#lib/conf/run';

const { t } = lang;
const { args, options } = runConfig;
program.name("gitm run").usage("[command] [args...]").description(t("git hook run command"));
if (args.length > 0)
  program.arguments(createArgs(args));
options.forEach((o) => {
  program.option(o.flags, o.description, o.defaultValue);
});
program.action((command, args2) => {
  run(command, args2);
});
program.parse(process.argv);
